<?
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';
only_reg();


$set['title']='Покупка цвета сообщений'; // заголовок страницы
include_once '../../sys/inc/thead.php';
title();
aut();
err();


//Сколько монет
$col=10;
//На какое время,указываем в секундах.По умолчанию неделя 
$time=604800;

$colors=array("BE2137","FFA100","00752C","0052AC","701F85",
									"E62937","FFCB00","009E2F","0079F1","873CBE",
									"FF7525","FDF900","00E430","00A9FF","C87AFF",
									"FFFFFF","999999","666666","333333","000000");
                                    
if(isset($_GET['drop']) && isset($user) && $user['color_text']!=NULL && $user['color_time']>=time()){
mysql_query("UPDATE `user` SET `color_text`='',`color_time`='' WHERE `id` = '$user[id]' LIMIT 1");
  $_SESSION['message'] = 'Услуга выключена!';
     header ("Location:?");  
}                                   
                                    
if(!empty($_GET['colors']) && !in_array($colors,$_GET['colors'])){
if($user['money']>=10){  

  mysql_query("UPDATE `user` SET `money` = '" . ($user['money']-$col)."',`color_text`='#".$_GET['colors']."',`color_time`='".(time()+$time)."' WHERE `id` = '$user[id]' LIMIT 1");
  $_SESSION['message'] = 'Цвет успешно выбран!';
     header ("Location:?");
  }
  else{
    $_SESSION['message'] = 'У Вас недостаточно монет!';
     header ("Location:?");
     }
       
}



if(!empty($_POST['send']) && !empty($_POST['send']) && !in_array($colors,$_POST['color'])){
  if($user['money']>=10){  

  mysql_query("UPDATE `user` SET `money` = '" . ($user['money']-$col)."',`color_text`='".$_POST['color']."',`color_time`='".(time()+$time)."' WHERE `id` = '$user[id]' LIMIT 1");
  $_SESSION['message'] = 'Цвет успешно выбран!';
     header ("Location:?");
  }
  else{
    $_SESSION['message'] = 'У Вас недостаточно монет!';
     header ("Location:?");
     }
}
echo "<div class='foot'>\n";
echo "<img src='/style/icons/str2.gif' alt='*'> <a href='/user/money'>Доп.услуги</a> | Цвет сообшений<br />\n";
echo "</div>\n";

echo "<div class='mess'>\n";
echo '<b>Стоимость услуги составляет '.$col.' монет на '.floor($time/3600/24).' дней</b>';
echo "</div>\n";
if($user['color_text']!=NULL && $user['color_time']>=time()){
echo "<div class='nav1'>\n";
echo 'Услуга уже включена и закончится '.vremja($user['color_time']).'';
echo "</div>\n";
}


  echo "<div class='mess'>\n";
echo "".($user['color_text']!=NULL && $user['color_time']>=time()? "Ваш цвет: <font style='background:$user[color_text]; padding:8px; margin:3px; '></font>":"Ваш цвет не установлен!")."";
echo '</div>';
  
 echo'<div class="nav2">';                                  
 foreach ($colors as $color)
{

    echo "<a href='color.php?colors=$color'><div class='p' style='background:#$color; padding:10px; margin:2px;'></div><a/>";
    
} 

 

echo '</div>';
echo "<div class='foot'>\n";
if($user['color_text']!=NULL && $user['color_time']>=time())
echo "<img src='/style/icons/logout.gif' alt='*'> <a href='/user/money/color.php?drop'>Выключить услугу</a><br />\n";

echo "<img src='/style/icons/str2.gif' alt='*'> <a href='/user/money'>Доп.услуги</a> | Цвет сообшений<br />\n";

echo "</div>\n";

include_once '../../sys/inc/tfoot.php';





?>





